[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.SetNodeManager

Set the node instance manager to use

## Declaration

Source position: avl_tree.pp line 110

`public procedure TAVLTree.SetNodeManager(`
`NewMgr: TBaseAVLTreeNodeManager;`
`AutoFree: Boolean = False`
`);`

## Arguments

`NewMgr` |  | New node manager to use
`AutoFree` |  | Automatically free the node manager when the tree is destroyed.

## Description

SetNodeManager sets the node manager instance used by the tree to newmgr. It should be called before any nodes are added to the tree. The TAVLTree instance will not destroy the nodemanager, thus the same instance of the tree node manager can be used to manager the nodes of multiple TAVLTree instances.

By default, a single instance of TAVLTreeNodeMemManager is used to manage the nodes of all TAVLTree instances.

## See also

TBaseAVLTreeNodeManager |  | Base class for a node memory manager
TAVLTreeNodeMemManager |  | TAVLTreeNode Node memory manager

Documentation generated on: Feb 26 2014